libterm-query-perl_2.0-9_all.deb


Advertisement

Description

libterm-query-perl - Perl module for subroutines that handle simple tty-based UI

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libterm-query-perl
Package version: 2.0
Package release: 9
Package architecture: all
Package type: deb
Installed size: 120 B
Download size: 29.04 KB
Official Mirror: ftp.br.debian.org
Term::Query.pm is a Perl 5 module, which performs generalized queries on various kinds of values. Validation and normalization of input, based on the type, is automated, as is error reporting and re-solicitation of input.

Alternatives

    Download

    Source package: libterm-query-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libterm-query-perl deb package:
      # sudo apt-get install libterm-query-perl

    Files

    • /usr/share/doc/libterm-query-perl/changelog.Debian.gz
    • /usr/share/doc/libterm-query-perl/changelog.gz
    • /usr/share/doc/libterm-query-perl/copyright
    • /usr/share/man/man3/Term::Query.3pm.gz
    • /usr/share/perl5/Term/Query.pm
    • /usr/share/perl5/Term/Query_Test.pl
    • /usr/share/perl5/Term/Tester.pm

    Changelog

    2010-07-27 - gregor herrmann <gregoa@debian.org> libterm-query-perl (2.0-9) unstable; urgency=low [ gregor herrmann ] * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); Homepage field (source stanza). * Set Maintainer to Debian Perl Group. * Use dist-based URL in debian/watch. * debian/rules: delete /usr/lib/perl5 only if it exists. * Remove generated test output from source package. * Revert changes in test suite which is not run anyway (because it simply doesn't work). * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). * debian/control: Added: ${misc:Depends} to Depends: field. [ Salvatore Bonaccorso ] * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3). [ gregor herrmann ] * Add /me to Uploaders. * Convert to source format 3.0 (quilt). * Set Standards-Version to 3.9.1 (no changes). * debhelper 7. * Add a patch to fix a POD error.

    2004-10-06 - Jay Bonci <jaybonci@debian.org> libterm-query-perl (2.0-8) unstable; urgency=low * Adds watch file so uscan will actually work.

    2003-11-11 - Jay Bonci <jaybonci@debian.org> libterm-query-perl (2.0-7) unstable; urgency=low * New maintainer (Closes: #159957) * Changed section: perl * Bumped to policy version 3.6.1.0 (no other changes) * Changed to my standard rules template * Added a compat file per debhelper best practices * Changed to a versioned debhelper build-dependancy * Added a build-dependancy on perl, per perl policy * Added a CPAN download URL to the copyright file * Changed build-depends to build-depends-indep perl lintian warning

    2002-09-07 - Ivan Kohler <ivan-debian@420.am> libterm-query-perl (2.0-6) unstable; urgency=low * don't try to replace bogus .orig

    2002-09-07 - Ivan Kohler <ivan-debian@420.am> libterm-query-perl (2.0-5) unstable; urgency=low * binary-arch vs. binary-indep (closes: Bug#153364) * debian/copyright pedantry (closes: Bug#153386)

    2001-04-11 - Ivan Kohler <ivan-debian@420.am> libterm-query-perl (2.0-4) unstable; urgency=low * Don't install .packlist

    2001-04-11 - Ivan Kohler <ivan-debian@420.am> libterm-query-perl (2.0-3) unstable; urgency=low * Coherent description (closes: Bug#93577)

    2001-02-16 - Ivan Kohler <ivan-debian@420.am> libterm-query-perl (2.0-2) unstable; urgency=low * Removed gratuitous dh_suidregister

    2000-12-25 - Ivan Kohler <ivan-debian@420.am> libterm-query-perl (2.0-1) unstable; urgency=low * Initial Release.

    Advertisement
    Advertisement